Index: stdtime/localtime.c
===================================================================
RCS file: /usr/cvsroot/asterisk/stdtime/localtime.c,v
retrieving revision 1.2
diff -u -r1.2 localtime.c
--- stdtime/localtime.c	18 Sep 2003 13:34:06 -0000	1.2
+++ stdtime/localtime.c	19 Sep 2003 19:41:52 -0000
@@ -981,11 +981,14 @@
 
 	sp = lclptr;
 	/* Find the right zone record */
-	while (sp != NULL) {
-		if (!strcmp(sp->name,zone))
-			break;
-		sp = sp->next;
-	}
+	if (zone == NULL)
+		sp = NULL;
+	else
+		while (sp != NULL) {
+			if (!strcmp(sp->name,zone))
+				break;
+			sp = sp->next;
+		}
 
 	if (sp == NULL) {
 		ast_tzsetwall();
Index: apps/app_voicemail2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_voicemail2.c,v
retrieving revision 1.50
diff -u -r1.50 app_voicemail2.c
--- apps/app_voicemail2.c	19 Sep 2003 17:52:52 -0000	1.50
+++ apps/app_voicemail2.c	19 Sep 2003 19:41:55 -0000
@@ -1955,7 +1955,7 @@
 	/* Can't think of how other diffs might be helpful, but I'm sure somebody will think of something. */
 #endif
 	if (the_zone)
-		res = ast_say_date_with_format(chan, t, AST_DIGIT_ANY, chan->language, the_zone->msg_format, the_zone->timezone);
+		res = ast_say_date_with_format(chan, t, AST_DIGIT_ANY, chan->language, the_zone->msg_format, &(the_zone->timezone));
 	else
 		res = ast_say_date_with_format(chan, t, AST_DIGIT_ANY, chan->language, "'vm-received' q 'digits/at' IMp", NULL);
 #if 0
